Skip to main content
`Ctrl`+`K`

# DSHSVDSetDimensions

Sets the number of columns for a `DSHSVD`.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSHSVDSetDimensions(DS ds,PetscInt m)

Logically Collective

## Input Parameters

- ds - the direct solver context

- m - the number of columns

## Notes

This call is complementary to `DSSetDimensions()`, to provide a dimension that is specific to this `DS` type.

## See Also

DS: Direct Solver (or Dense System), `DSHSVD`, `DSHSVDGetDimensions()`, `DSSetDimensions()`

## Level

intermediate

## Location

src/sys/classes/ds/impls/hsvd/dshsvd.c

## Implementations

DSHSVDSetDimensions_HSVD() in src/sys/classes/ds/impls/hsvd/dshsvd.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages